@base <https://purl.org/coscine/ap/qudt/quantitykind/CartesianArea/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/CartesianArea/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Cartesian Area sind."@de,
    "Profile for all units that are a/an Cartesian Area."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Cartesian Area"@de,
    "Unit: Cartesian Area"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:AC unit:ARE unit:BARN unit:CentiM2 unit:DecaARE unit:DeciM2 unit:FT2 unit:HA unit:IN2 unit:M2 unit:MI2 unit:MIL_Circ unit:MicroM2 unit:MilliM2 unit:NanoM2 unit:PlanckArea unit:YD2 ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:AC rdfs:label "Acre"@en .
unit:ARE rdfs:label "Are"@en .
unit:BARN rdfs:label "Barn"@en .
unit:CentiM2 rdfs:label "Square Centimeter"@en-us, "Square Centimetre"@en .
unit:DecaARE rdfs:label "Decare"@en .
unit:DeciM2 rdfs:label "Square Decimeter"@en-us, "Square Decimetre"@en .
unit:FT2 rdfs:label "Square Foot"@en .
unit:HA rdfs:label "Hectare"@en .
unit:IN2 rdfs:label "Square Inch"@en .
unit:M2 rdfs:label "Quadratmeter"@de, "Square Meter"@en-us, "Kvadratni Meter"@sl, "Meter Persegi"@ms, "Metr Kwadratowy"@pl, "Metrekare"@tr, "Metro Cuadrado"@es, "Metro Quadrado"@pt, "Metro Quadrato"@it, "Metru Pătrat"@ro, "Metrum Quadratum"@la, "Mètre Carré"@fr, "Négyzetméter"@hu, "Square Metre"@en, "Čtvereční Metr"@cs, "Τετραγωνικό Μέτρο"@el, "Квадратен Метър"@bg, "Квадратный Метр"@ru, "מטר רבוע"@he, "متر مربع"@ar, "متر مربع"@fa, "वर्ग मीटर"@hi, "平方メートル"@ja, "平方米"@zh .
unit:MI2 rdfs:label "Square Mile"@en .
unit:MIL_Circ rdfs:label "Circular Mil"@en .
unit:MicroM2 rdfs:label "Square Micrometer"@en-us, "Square Micrometre"@en .
unit:MilliM2 rdfs:label "Square Millimeter"@en-us, "Square Millimetre"@en .
unit:NanoM2 rdfs:label "Square Nanometer"@en-us, "Square Nanometre"@en .
unit:PlanckArea rdfs:label "Planck Area"@en .
unit:YD2 rdfs:label "Square Yard"@en .
